Package com.independentsoft.graph

# Class DaylightTimeZoneOffset

java.lang.Object
com.independentsoft.graph.DaylightTimeZoneOffset

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class DaylightTimeZoneOffset extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DaylightTimeZoneOffset()`
  `DaylightTimeZoneOffset​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDaylightBias()`
  `int`
  `getDayOccurrence()`
  `DayOfWeek`
  `getDayOfWeek()`
  `int`
  `getMonth()`
  `Time`
  `getTime()`
  `int`
  `getYear()`
  `void`
  `setDaylightBias​(int daylightBias)`
  `void`
  `setDayOccurrence​(int dayOccurrence)`
  `void`
  `setDayOfWeek​(DayOfWeek dayOfWeek)`
  `void`
  `setMonth​(int month)`
  `void`
  `setTime​(Time time)`
  `void`
  `setYear​(int year)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DaylightTimeZoneOffset

    public DaylightTimeZoneOffset()

  - ### DaylightTimeZoneOffset

    public DaylightTimeZoneOffset​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getTime

    public Time getTime()

  - ### setTime

    public void setTime​(Time time)

  - ### getDayOccurrence

    public int getDayOccurrence()

  - ### setDayOccurrence

    public void setDayOccurrence​(int dayOccurrence)

  - ### getDayOfWeek

    public DayOfWeek getDayOfWeek()

  - ### setDayOfWeek

    public void setDayOfWeek​(DayOfWeek dayOfWeek)

  - ### getMonth

    public int getMonth()

  - ### setMonth

    public void setMonth​(int month)

  - ### getYear

    public int getYear()

  - ### setYear

    public void setYear​(int year)

  - ### getDaylightBias

    public int getDaylightBias()

  - ### setDaylightBias

    public void setDaylightBias​(int daylightBias)